# ReflectionClass::export

(PHP 5, PHP 7)

ReflectionClass::export — Exporte une classe

Avertissement

Cette fonction est OBSOLÈTE à partir de PHP 7.4.0, et a été SUPPRIMÉE à partir de PHP 8.0.0. Dépendre de cette fonction est fortement déconseillé.

### Description

public static ReflectionClass::export(mixed `$argument`, bool `$return` = `false`): string

Exporte une classe reflétée.

### Liste de paramètres

`argument`

  La réflection à exporter.

`return`

  Le fait de le définir à `true` retournera l'export plutôt que l'émission. Le définir à `false` (par défaut) fera l'inverse.

### Valeurs de retour

Si le paramètre `return` est défini à `true`, l'export sera retourné sous la forme d'une chaîne de caractères, sinon, `null` sera retourné.

### Exemples

Exemple #1 Utilisation basique de ReflectionClass::export()

`<?php
class Apple {
public $var1;
public $var2 = 'Orange';
public function type() {
return 'Apple';
}
}
ReflectionClass::export('Apple');
?>`

Résultat de l'exemple ci-dessus est similaire à :

    Class [ <user> class Apple ] {
      @@ php shell code 1-8

      - Constants [0] {
      }

      - Static properties [0] {
      }

      - Static methods [0] {
      }

      - Properties [2] {
        Property [ <default> public $var1 ]
        Property [ <default> public $var2 ]
      }

      - Methods [1] {
        Method [ <user> public method type ] {
          @@ php shell code 5 - 7
        }
      }
    }

### Voir aussi

- ReflectionClass::getName() - Récupère le nom de la classe
- ReflectionClass::__toString() - Crée une représentation textuelle de l'objet